<app-loading *ngIf="isLoadingPage"></app-loading>
<div class='data-table' oncontextmenu='return false;'>
  <form [formGroup]='form'>
    <div class='form__group form_group--array form_group--identity' [formArrayName]='banks'>
      <nz-table
        [nzData]="['']"
        [nzShowPagination]='false'
        [nzNoResult]='null'
        nzBordered
      >
        <thead>
          <tr>
            <th scope='col' class='text-nowrap text-center'>{{'staffManager.table.accountType' | translate}}</th>
            <th scope='col' class='text-nowrap text-center'>{{'staffManager.table.accountNumber' | translate}}</th>
            <th scope='col' class='text-nowrap text-center'>{{'staffManager.table.bank' | translate}}</th>
            <th scope='col' class='text-nowrap text-center'>{{'staffManager.table.branch' | translate}}</th>
            <th scope='col' class='text-center' nzWidth='70px'>{{'staffManager.table.accountMain' | translate}}</th>
            <th scope='col' class='text-nowrap text-center'>{{'common.button.delete' | translate}}</th>
          </tr>
        </thead>
        <tbody>
          <tr class='tr-for-class' *ngFor="let bank of form.get(banks)['controls']; let i = index" [formGroupName]='i'>
            <td class='text-nowrap'>
              <mb-select [mbDataSelects]='listAccountType'
                         [mbOptionHeightPx]='56' [mbOptionOverflowSize]='5'
                         [mbType]="isSubmitted && bank.controls[bankType].errors ? 'error' : 'default'"
                         [mbShowError]='isSubmitted && bank.controls[bankType].errors !== null'
                         [mbErrors]='bank.controls[bankType].errors'
                         [mbErrorDefs]="[
                         { errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.accountType' | translate }},
                         { errorName: 'salaryAccountTypeDuplicate', errorDescription: 'staffManager.validate.salaryAccountTypeDuplicate' | translate}
                         ]"
                         mbPlaceholder="{{'staffManager.table.accountType' | translate}}"
                         [formControlName]='bankType'></mb-select>
            </td>
            <td class='text-nowrap'>
              <mb-input-text [formControlName]='accountNumber'
                             (ngModelChange)='checkDuplicate()'
                             [mbShowFlexEnd]='false' [mbMaxLength]='20'
                             [mbType]="isSubmitted && bank.controls[accountNumber].errors ? 'error' : 'default'"
                             [mbShowError]='isSubmitted && bank.controls[accountNumber].errors !== null'
                             [mbErrors]='bank.controls[accountNumber].errors'
                             [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.accountNumber' | translate }},
                             { errorName: 'maxlength', errorDescription: 'staffManager.validate.maxLength' | translate: {'numberLength': 20}},
                             { errorName: 'pattern', errorDescription: 'staffManager.validate.format' | translate: {'param': 'staffManager.table.accountNumber' | translate}},
                             { errorName: 'accDuplicate', errorDescription: 'staffManager.validate.duplicate' | translate: {'param': 'staffManager.table.accountNumber' | translate}}]"
                             mbPlaceholderText="{{'staffManager.table.accountNumber' | translate}}"></mb-input-text>
            </td>
            <td class='text-nowrap'>
              <mb-select [mbDataSelects]='listBankInfo'
                         mbKeyValue='bankId'
                         mbKeyLabel='name'
                         (mbEventEmit)='checkDuplicate()'
                         [mbOptionHeightPx]='56' [mbOptionOverflowSize]='5'
                         [mbType]="isSubmitted && bank.controls[bankCode].errors ? 'error' : 'default'"
                         [mbShowError]='isSubmitted && bank.controls[bankCode].errors !== null'
                         [mbErrors]='bank.controls[bankCode].errors'
                         [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.bank' | translate }}]"
                         mbPlaceholder="{{'staffManager.table.bank' | translate}}"
                         [formControlName]='bankCode'></mb-select>
            </td>
            <td class='text-nowrap'>
              <mb-input-text [formControlName]='branch'
                             [mbShowFlexEnd]='false'
                             [mbType]="isSubmitted && bank.controls[branch].errors ? 'error' : 'default'"
                             [mbShowError]='isSubmitted && bank.controls[branch].errors !== null'
                             [mbErrors]='bank.controls[branch].errors'
                             [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffManager.validate.required' | translate: {'param': 'staffManager.table.branch' | translate }}]"
                             mbPlaceholderText="{{'staffManager.table.branch' | translate}}"></mb-input-text>
            </td>
            <td class='text-center'>
              <nz-radio-group formControlName='index' [(ngModel)]='radioValue'>
                <label nz-radio [nzValue]='i'></label>
              </nz-radio-group>
            </td>
            <td class='text-center'>
              <mb-button mbButtonType='ONLY_ICON' mbButtonIconType='AWESOME' nz-popconfirm
                         nzPopconfirmTitle="{{'staffManager.table.action.confirmDelete' | translate}}"
                         nzCancelText="{{'staffManager.table.action.cancel' | translate}}"
                         nzOkType='primary'
                         nzOkText="{{'staffManager.table.action.yes' | translate}}"
                         (nzOnConfirm)='deleteItem(bank.value, i)'
                         nzPopconfirmPlacement='top' mbPrefixIcon='fal fa-trash-alt'></mb-button>
            </td>
          </tr>

        </tbody>
      </nz-table>
    </div>
  </form>

  <div class='form__group--action form__group--identity--action' style='display: flex; justify-content: right; margin-top: 30px'>
    <mb-button mbButtonType='NO_BORDER' mbButtonSize='VERY_LARGE' mbButtonTextColor='#141ED2'
               mbButtonText="{{'staffManager.button.addition' | translate}}"
               (click)='addFormArray()'
               mbPrefixIcon='plus'></mb-button>
  </div>

</div>
